A/urls.py
from django.conf.urls import url,include
from django.contrib import admin
from django.views.generic import RedirectView
from mahasiswa.views import home

import mahasiswa.urls as mahasiswa


urlpatterns = [
    url(r'^admin/', admin.site.urls),
    url(r'^mahasiswa/', include(mahasiswa,namespace='mahasiswa')),
    url(r'^$', home, name='home'),
]

mahasiswa/urls.py
from django.conf.urls import url

from mahasiswa.views import (
    index, profile, edit_profile,save_to_database,save_expertise, login,
    logout, post_status, mahasiswa_json )

urlpatterns = [
    url(r'^$',index, name='index'),

    url(r'^profile/$', profile, name='profile'),
    url(r'^profile/edit/$', edit_profile, name='edit'),
    url(r'^profile/save/$', save_to_database, name='save'),
    url(r'^profile/save/expertise/$', save_expertise, name='save_expertise'),

    url(r'^status/add/$', post_status, name='add_status'),

    url(r'^api/students/$', mahasiswa_json, name='mahasiswa-json'),

    url(r'^login/$', login, name='login'),
    url(r'^logout/$', logout, name='logout'),
]

mahasiswa/models.py
from __future__ import unicode_literals

from django.db import models
from django.contrib.auth.models import User


class Profile(models.Model):
    user = models.OneToOneField(User, on_delete=models.CASCADE)

    kode_identitas = models.CharField(max_length=20, primary_key=True, )

    first_name = models.CharField('Nama Depan', max_length=255, null=True, blank=True)
    last_name = models.CharField('Nama Belakang', max_length=255, null=True, blank=True)
    image_url = models.URLField('Foto', null=True, blank=True)
    email = models.EmailField('Email', null=True, blank=True)
    profile_url = models.URLField('Profile LinkedIn', null=True, blank=True)
    batch = models.IntegerField('Angkatan', null=True)

    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)


class Expertise(models.Model):
    user = models.ForeignKey(Profile, related_name="expertises")
    expert = models.CharField('Bahasa Pemrograman',max_length = 27)
    level  = models.CharField('Tingkatan', max_length = 27)
    created_at = models.DateTimeField(auto_now_add=True)
    updated_at = models.DateTimeField(auto_now=True)

class Status(models.Model):
    user = models.ForeignKey(User)
    status = models.TextField()
    created_at = models.DateTimeField(auto_now_add=True)

    class Meta:
        verbose_name_plural = "Statuses"
        ordering = ['-created_at']

class Comment(models.Model):

    comment = models.TextField()
    created_at = models.DateTimeField(auto_now_add=True)

    status = models.ForeignKey(
        Status,
        on_delete=models.CASCADE,
        related_name="comments")

    class Meta:
        ordering = ['created_at']

mahasiswa/views.py
from __future__ import unicode_literals
from django.http import HttpResponse
from django.contrib.auth import logout, authenticate, login as auth_login, logout as auth_logout
from django.views.decorators.csrf import csrf_exempt
from django.http import HttpResponse,HttpResponseRedirect
from django.http import JsonResponse
from django.shortcuts import render
from django.urls import reverse
from django.contrib import messages
from .models import Profile,Expertise,Status
from .utils import *
from .api_riwayat import get_riwayat
import json

from django.views.decorators.http import require_http_methods
from django.contrib.auth.decorators import login_required

response = {}

LOGIN_URL = '/mahasiswa/login'


@login_required(login_url=LOGIN_URL)
def index(request):
    return profile(request)

def mahasiswa_json(request):
    serialized = [ serialize_mahasiswa_obj(item) for item in Profile.objects.all() ]
    return JsonResponse({'data': serialized})


@login_required(login_url=LOGIN_URL)
def profile(request):
    response['user'] = request.user.profile
    response['riwayatQu'] = get_riwayat().json()
    response['statuses'] = Status.objects.all()
    response['num_feeds'] = Status.objects.all().count()
    response['latest_post'] = ''
    if Status.objects.first() is not None:
        response['latest_post'] = Status.objects.first().status
    response['expertises'] = request.user.profile.expertises.all()
    html = 'profile/profile.html'
    return render(request, html, response)

def edit_profile(request):
    html = 'edit/update_profile.html'
    return render(request, html, response)

@csrf_exempt
@login_required(login_url=LOGIN_URL)
@require_http_methods(['POST'])
def save_to_database(request):
    first_name  = request.POST['firstName']
    last_name   = request.POST['lastName']
    image_url   = request.POST['imageUrl']
    email       = request.POST['email']
    profile_url = request.POST['profileUrl']

    request.user.profile.first_name = first_name
    request.user.profile.last_name = last_name
    request.user.profile.image_url = image_url
    request.user.profile.email = email
    request.user.profile.profile_url = profile_url
    request.user.profile.save()
    return JsonResponse({'save':'success'})


@require_http_methods(['POST'])
def post_status(request):
    status = request.POST['status']
    Status.objects.create(status=status, user=request.user)
    return HttpResponseRedirect(reverse('mahasiswa:profile'))

def home(request):
    return render(request, 'homepage/home.html')


@csrf_exempt
@login_required(login_url=LOGIN_URL)
@require_http_methods(['POST'])
def save_expertise(request):
    expertise = request.POST['expertise']
    level     = request.POST['level']
    expert = Expertise.objects.create(user=request.user.profile,expert=expertise,level=level)
    return JsonResponse({'save':'success'})


@csrf_exempt
def login(request):
    if request.method == 'POST':
        SSO_USERNAME = request.POST['username']
        SSO_PASSWORD = request.POST['password']

        user = authenticate(username=SSO_USERNAME, password=SSO_PASSWORD)
        if user is not None:
            auth_login(request, user)
            return HttpResponseRedirect(reverse('mahasiswa:index'))
        else:
            messages.error(request, 'password salah :(')
            return HttpResponseRedirect(reverse('mahasiswa:login'))
    else:
        if request.user.is_authenticated:
            return HttpResponseRedirect(reverse('mahasiswa:index'))

        return render(request, 'homepage/login.html')

def logout(request):
    auth_logout(request)
    return HttpResponseRedirect(reverse('home'))

mahasiswa/templates/content/public_profile.html
<style>
.top{
  margin-bottom: 150px;
}

.cover{
  position:relative;
  top: 140px;
  width: 111px;
  height: 144px;
}

.forum{
  position: relative;
  top: 40px;
  left: 170px;
}

.edit{
  position: relative;
  top: 100px;
  left: 65px;
}

.jml_status{
  position: relative;
  left: 600px;
}

.jml_status > h3 {
  margin-left: 30px;
}

.new_status{
  position: relative;
  left: 600px;
  top: 55px;
}

.Beginner{
  color: green;
}

.Intermediate{
  color: blue;
}

.Advance{
  color: yellow;
}

.Expert{
  color: red;
}

.Legend{
  color: brown;
}
</style>

<div class="panel panel-info">
    <div class="panel-heading">
        <h2>User profile</h2>
    </div>
    <div class="panel-body">
    {% load lang %}
      {% if user.first_name %}
        <p> Nama : {{user.first_name}} {{user.last_name}} </p>
        <p> NPM  : {{user.kode_identitas}} </p>
        <p> Keahlian : {% for experts in expertises %} <strong class="{{experts.level}}">{{experts.expert|lang}}</strong>{% endfor %} </p>
        <p> Email : {{user.email}} </p>
        <p> Profile LinkedIn : <a href="{{user.profile_url}}"> {{user.profile_url}} </a></p>
      {% else %}
        <p> Nama : Kosong </p>
        <p> NPM  : {{kode_identitas}}  </p>
        <p> Keahlian : Kosong </p>
        <p> Email : Kosong </p>
        <p> Profile LinkedIn : Kosong </p>
      {% endif %}
    </div>
</div>

mahasiswa/templates/content/public_status.html
<div class="panel panel-info">
    <style>
        #status-form {
            display: flex;
            flex-direction: column;
            margin: -15px;
            padding: 15px;
        }

        #status-form > textarea {
            resize: none;
            padding: 1rem;
        }

        #status-form > div {
            margin-top: 1rem;
            resize: none;
        }

.posts {
    display: flex;
    flex-direction: column;
    align-items: center;
    overflow-y: auto;
    overflow-x: hidden;
    padding-left: 15px;
    padding-right: 15px;
}


.post {
    width: 100%;
    border-radius: 3px;
    background-color: white;
    box-shadow: 0 2px 2px 0 rgba(0,0,0,0.16),0 0 0 1px rgba(0,0,0,0.08);

    margin-top: 20px;
    margin-bottom: 10px;
}

.post-header {
    height: 80px;
    padding: 20px;
}

.post-header > i {
    float: right;
    cursor: pointer;
}

.post-header-img {
    height: 60px;
    width: 60px;
    border-radius: 30px;
    float: left;
}

.post-header-section{
    float: left;
    margin-left: 10px;
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    height: 60px;
}

.post-header-name {
    font-size: 1.8rem;
    margin: 0px;
    color: black;
}

.post-header-timestamp {
    margin: 0px;
}

.post-content {
    padding: 20px;
    word-wrap: break-word;
}

    </style>
    <div class="panel-heading">
        <h2>Status</h2>
    </div>
    <div class="posts">
        {% for status in statuses %}
            <div class="post">
                {% if status.user.profile.first_name %}
                <div class="post-header">
                    <img class="post-header-img" src="{{status.user.profile.image_url}}">
                    <div class="post-header-section">
                    <a class="post-header-name">{{ status.user.profile.first_name }} {{ status.user.profile.last_name }}</a>
                    <h6 class="post-header-timestamp">{{status.created_at}}</h6>
                    </div>
                </div>
                <div class="post-content">
                    {{status.status}}
                </div>
                {% else %}
                <h4> Tidak ada status terbaru </h4>
                {% endif %}
            </div>
        {% endfor %}
    </div>
    <div class="panel-body">
        <form id="status-form" action="{% url 'mahasiswa:add_status' %}" method="POST">
            {% csrf_token %}
            <label for="{{ form.status.id_for_label }}">Update Status</label>
            <textarea name="status"></textarea>
            <div>
                <button type="submit" class="btn btn-primary pull-right">Post</button>
            </div>
        </form>
    </div>
</div>

mahasiswa/templates/content/riwayat.html
<div class="panel panel-info">
    <div class="panel-heading">
        <h2> Daftar Riwayat : {{ riwayatQu | length }} </h2>
    </div>
    <div class="panel-body">
        <div class="table-responsive">
            <table class="table">
                <thead>
                <th> No</th>
                <th> Nama Mata Kuliah</th>
                <th> Nilai</th>
                </thead>
                <tbody>
                {% for rw in riwayatQu %}
                    <tr>
                        <td> {{ forloop.counter }}</td>
                        <td> {{ rw.kelas.nm_mk_cl.nm_mk }}</td>
						{% if rahasia %}
						<td> Dirahasiakan </td>
						{% else %}
                        <td> {{ rw.nilai }}</td>
						{% endif %}
                    </tr>
                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>

mahasiswa/templates/content/search_mahasiswa.html
<style>
    tfoot input {
        width: 100%;
        padding: 3px;
        box-sizing: border-box;
    }
</style>
<script>
    $(document).ready(function() {

$('#dataTarget tfoot th').each( function () {
    var title = $(this).text();
    $(this).html( '<input type="text" placeholder="Search '+title+'" />' );
} );

        var table = $('#dataTarget').DataTable( {
            "ajax": {
                "url": "{% url 'mahasiswa:mahasiswa-json' %}",
                "dataSrc": function ( json ) {
                    for ( var i=0, ien=json.data.length ; i<ien ; i++ ) {
                        try {
                            json.data[i].expertise = json.data[i].expertises.map(item => '<span class="label label-success" style="margin-left: 6px">'+item.name+'</span>').reduce((a, b) => a+b);
                        } catch (e) {
                            json.data[i].expertise = '';
                        }
                    }
                    return json.data;
                },
            },
            'columns': [{data: 'npm'}, {data: 'name'}, {data: 'batch'}, {data: 'expertise'}, ],
        });

        table.columns().every( function (id) {
            var that = table.columns(id);
            $('input', this.footer()).on('keyup change', function () {
                if (that.search() !== this.value) {
                    that.search(this.value).draw();
                }
            });
        });
    });
</script>
<div class="panel panel-info">
    <div class="panel-heading">
        <h2>Cari Mahasiswa</h2>
    </div>
    <div class="panel-body">
        <table id="dataTarget" class="display" width="100%" cellspacing="0">
            <thead>
                <tr>
                    <th>NPM</th>
                    <th>Nama</th>
                    <th>Angkatan</th>
                    <th>Keahlian</th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <th>NPM</th>
                    <th>Nama</th>
                    <th>Angkatan</th>
                    <th>Keahlian</th>
                </tr>
            </tfoot>
        </table>
    </div>
</div>

mahasiswa/templates/edit/update_profile.html
{% extends "base.html" %}
{% load static %}

{% block staticfiles %}
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.4/css/select2.min.css" rel="stylesheet" />
<script type="text/javascript" src="//platform.linkedin.com/in.js">
    api_key:   817iky878umea7
    onLoad: onLinkedInLoad
    authorize: true
    lang: in_ID
</script>
<style>
.profile-picture{
  margin-left: 45%;
  border-style: solid;
  width: 117px;
  height:150px;
}

.cover{
  width: 111px;
  height: 144px;
}

.save{
  position: relative;
  left: 425px;
  top: 30px;;
}

.exit-button{
  position: relative;
  left: 620px;
}

.add-button{
  position: relative;
  left: 300px;

}

</style>
{% endblock %}

{% block content %}
<div class="container">
  <div class="top">
    <div class="profile-picture">
      <img alt="3x4"/>
    </div>
    <div class="button-section">
      <div class="save-button">
        <div class="btn btn-primary save" onclick="saveLinkedIn()"> Simpan</div>
      </div>
      <div class="exit-button">
        <div class="btn btn-danger" onclick="logOut()">Keluar</div>
      </div>
    </div>
  </div>
  <div class="content">
    <script type="in/Login"></script>
  </div>
  <div class="wrapper-expertise">
    <h3> Keahlian </h3>
    <div class="lang-picker">
          <select class="my-select col-md-3" id ="lang">
              <option></option>
          </select>
    </div><br>
    <div class="expertise-picker">
          <select class="my-select col-md-3" id ="expertise">
              <option></option>
          </select>
    </div><br>
  </div>
  <div class="add-button">
    <div class="btn btn-warning add" onclick=""> Tambah Keahlian</div>
  </div>
</div>
{% endblock %}


{% block javascript %}
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.4/js/select2.min.js"></script>
<script type="text/javascript" src="{% static 'js/linkedin.js' %}"></script>
<script type="text/javascript" src="{% static 'js/expertise.js' %}"></script>
{% endblock %}

mahasiswa/templates/homepage/home.html
<html lang="en"><head>
    <meta charset="utf-8">
    <meta name="robots" content="noindex, nofollow">

    <title>Tugas 2 Kelompok 7 PPW C</title>
        <meta name="viewport" content="width=device-width, initial-scale=1">
    <link href="//cdn.rawgit.com/twbs/bootstrap/v4-dev/dist/css/bootstrap.css" rel="stylesheet" id="bootstrap-css">
    <style type="text/css">
    @import url('https://maxcdn.bootstrapcdn.com/font-awesome/4.6.0/css/font-awesome.min.css');
.bg-dark {
    background-color: #343a40!important;
}
    </style>
    <script src="//code.jquery.com/jquery-1.10.2.min.js"></script>
    <script src="//cdn.rawgit.com/twbs/bootstrap/v4-dev/dist/js/bootstrap.js"></script>
    <script type="text/javascript">
        window.alert = function(){};
        var defaultCSS = document.getElementById('bootstrap-css');
        function changeCSS(css){
            if(css) $('head > link').filter(':first').replaceWith('<link rel="stylesheet" href="'+ css +'" type="text/css" />'); 
            else $('head > link').filter(':first').replaceWith(defaultCSS); 
        }
        $( document ).ready(function() {
          var iframe_height = parseInt($('html').height()); 
          window.parent.postMessage( iframe_height, 'https://bootsnipp.com');
        });
    </script>
</head>
<body style="">
	
    <!-- Navigation -->
    <nav class="navbar navbar-expand-md navbar-dark bg-dark fixed-top">
        <div class="container">
            <a class="navbar-brand text-white" href="#">Kelompok 7 PPW C</a>
            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarsExampleDefault" aria-controls="navbarsExampleDefault" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarsExampleDefault">
                <ul class="navbar-nav ml-auto">
                    <li class="nav-item active">
                        <button type="button" class="btn btn-info" onclick="location.href='/mahasiswa/login'" style="margin-right: 20px">Login Mahasiswa</button>
                    </li>
                    <li class="nav-item active">
                        <button type="button" class="btn btn-info">Login Perusahaan</button>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
    <!-- Navigation -->

    <!-- Carousel Slider -->
    <div id="carouselLogo" class="carousel slide" data-ride="carousel">
        <ol class="carousel-indicators">
            <li data-target="#carouselLogo" data-slide-to="0" class=""></li>
            <li data-target="#carouselLogo" data-slide-to="1" class="active"></li>
            <li data-target="#carouselLogo" data-slide-to="2" class=""></li>
        </ol>
        <div class="carousel-inner" role="listbox">
            <div class="carousel-item">
                <img class="d-block img-fluid" src="http://www.facenet.org/wp-content/themes/executive/assets/images/header.jpg" alt="First slide">
            </div>
            <div class="carousel-item active">
                <img class="d-block img-fluid" src="http://www.facenet.org/wp-content/themes/executive/assets/images/header.jpg" alt="First slide">
            </div>
            <div class="carousel-item">
                <img class="d-block img-fluid" src="http://www.facenet.org/wp-content/themes/executive/assets/images/header.jpg" alt="First slide">
            </div>
        </div>
        <a class="carousel-control-prev" href="#carouselLogo" role="button" data-slide="prev">
            <span class="carousel-control-prev-icon" aria-hidden="true"></span>
            <span class="sr-only">Previous</span>
        </a>
        <a class="carousel-control-next" href="#carouselLogo" role="button" data-slide="next">
            <span class="carousel-control-next-icon" aria-hidden="true"></span>
            <span class="sr-only">Next</span>
        </a>
    </div>
    <!-- Carousel Slider -->

    <!-- Footer -->
    <footer class="footer bg-dark text-white">

        <!-- Social Icons -->
        <div class="bg-primary">
            <div class="container">
                <div class="row py-4">
                    <div class="col-md-6 col-lg-7">
                        <h4 class="mb-0 white-text">Get connected with us on social networks!</h4>
                    </div>
                    <div class="col-md-6 col-lg-5 text-right">
                        <a><i class="fa fa-facebook white-text mr-lg-4 fa-2x"> </i></a>
                        <a><i class="fa fa-twitter white-text mr-lg-4 fa-2x"> </i></a>
                        <a><i class="fa fa-google-plus white-text mr-lg-4 fa-2x"> </i></a>
                        <a><i class="fa fa-linkedin white-text mr-lg-4 fa-2x"> </i></a>
                        <a><i class="fa fa-instagram white-text mr-lg-4 fa-2x"> </i></a>
                    </div>
                </div>
            </div>
        </div>
        <!-- Social Icons -->

        <!-- Footer Links -->
        <div class="container pt-5 pb-2">
            <div class="row">

                <div class="col-md-3 col-lg-4 col-xl-3">
                    <h4>Kelompok 7</h4>
                    <hr class="bg-white mb-2 mt-0 d-inline-block mx-auto w-25">
                    <p>
                        When an unknown printer took a galley of type and scrambled it to make a type specimen book. It has survived not only five centuries, but also the leap into electronic typesetting
                    </p>
                </div>

                <div class="col-md-2 col-lg-2 col-xl-2 mx-auto">
                    <h4>The Team</h4>
                    <hr class="bg-white mb-2 mt-0 d-inline-block mx-auto w-25">
                    <p><a href="#" class="text-white">Fata</a></p>
                    <p><a href="#" class="text-white">Ican</a></p>
                    <p><a href="#" class="text-white">Deana</a></p>
                    <p><a href="#" class="text-white">Davin</a></p>
                </div>

                <div class="col-md-3 col-lg-2 col-xl-2 mx-auto">
                    <h4>Useful Links</h4>
                    <hr class="bg-white mb-2 mt-0 d-inline-block mx-auto w-25">
                    <p><a href="#" class="text-white">Home</a></p>
                    <p><a href="#" class="text-white">About Us</a></p>
                    <p><a href="#" class="text-white">Services</a></p>
                    <p><a href="#" class="text-white">Contact</a></p>
                </div>

                <div class="col-md-4 col-lg-3 col-xl-3">
                    <h4>Contact</h4>
                    <hr class="bg-white mb-2 mt-0 d-inline-block mx-auto w-25">
                    <p><i class="fa fa-home mr-3"></i> Computer Science</p>
                    <p><i class="fa fa-envelope mr-3"></i> info@ui.ac.id</p>
                    <p><i class="fa fa-phone mr-3"></i> + 98 765 432 11</p>
                    <p><i class="fa fa-print mr-3"></i> + 98 765 432 10</p>
                </div>

            </div>
        </div>
        <!-- Footer Links-->

        <hr class="bg-white mx-4 mt-2 mb-1">

        <!-- Copyright-->
        <div class="container-fluid">
            <p class="text-center m-0 py-1">
                © 2017 Copyright <a href="https://getbootstrap.com/" class="text-white">Bootstrap 4</a>
            </p>
        </div>
        <!-- Copyright -->

    </footer>
    <!-- Footer -->

	<script type="text/javascript">
	
	</script>


</body></html>

mahasiswa/templates/profile/profile.html
{% extends "base.html" %}
{% load static %}

{% block staticfiles %}

{% endblock %}

{% block header %}
<div class="navbar navbar-default navbar-static-top" role="navigation">
    <div class="container">
        <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
                <span class="icon-bar"></span>
            </button>
            <a target="_blank" href="{% url 'mahasiswa:profile' %}" class="navbar-brand">Cansky</a>
        </div>
        <div class="collapse navbar-collapse">
            <ul class="nav navbar-nav navbar-right">
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                        <span class="glyphicon glyphicon-user"></span> 
                        <strong>{{user.first_name}}</strong>
                        <span class="glyphicon glyphicon-chevron-down"></span>
                    </a>
                    <ul class="dropdown-menu">
                        <li>
                            <div class="navbar-login">
                                <div class="row">
                                    <div class="col-lg-4">
                                        <p class="text-center">
                                            <span class="glyphicon glyphicon-user icon-size"></span>
                                        </p>
                                    </div>
                                    <div class="col-lg-8">
                                        <p class="text-left"><strong>{{user.first_name}}</strong></p>
                                        <p class="text-left small">{{kode_identitas}}</p>
                                        <p class="text-left">
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </li>
                        <li class="divider"></li>
                        <li>
                            <div class="navbar-login navbar-login-session">
                                <div class="row">
                                    <div class="col-lg-12">
                                        <p>
                                            <a href="{% url 'mahasiswa:logout' %}" class="btn btn-danger btn-block" onclick="return confirm('Keluar?')">
                                                Logout </a>
                                        </p>
                                    </div>
                                </div>
                            </div>
                        </li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</div>
{% endblock%}

{% block content %}
<div class="container">
  {% if user.first_name %}
  <div class="top">
    <h1>Selamat Datang</h1>
    <div class="button_section">
      <div class="profile-picture">
        <img class="cover" src="{{user.image_url}}" alt="3x4"/>
      </div>
        <a class="btn btn-warning forum">Lihat Forum</a>
        <a href="{% url 'mahasiswa:edit' %}" class="btn btn-primary edit">Edit Profile</a>
        <div class="jml_status">
          <h3>{{num_feeds}}</h3>
          <p>Jumlah Status</p>
        </div>
        <div class="new_status">
          {% if latest_post %}
            <h2> {{latest_post}} </h2>
          {% else %}
            <h4> Tidak ada status terbaru </h4>
          {% endif %}
        </div>
    </div>
  </div>
  {% else %}
  <div class="top">
    <h1>Selamat Datang</h1>
    <div class="button_section">
      <div class="profile-picture">
        <img class="cover" alt="3x4"/>
      </div>
        <a class="btn btn-warning forum">Lihat Forum</a>
        <a href="{% url 'mahasiswa:edit' %}" class="btn btn-primary edit">Edit Profile</a>
        <div class="jml_status">
          <h3>{{num_feeds}}</h3>
          <p>Jumlah Status</p>
        </div>
        <div class="new_status">
          {% if latest_post %}
            <h2> {{latest_post}} </h2>
          {% else %}
            <h4> Tidak ada status terbaru </h4>
          {% endif %}
        </div>
    </div>
  </div>
  {% endif %}
  <div class="content">
    <div>
        <!-- Nav tabs -->
        <ul class="nav nav-tabs nav-justified" role="tablist">
            <li role="presentation" class="active">
                <a href="#profile" aria-controls="home" role="tab" data-toggle="tab"> Profile </a>
            </li>
            <li role="presentation">
                <a href="#riwayat" aria-controls="settings" role="tab" data-toggle="tab"> Riwayat </a>
            </li>
            <li role="presentation">
                <a href="#status" aria-controls="settings" role="tab" data-toggle="tab"> Status </a>
            </li>
            <li role="presentation">
                <a href="#teman" aria-controls="settings" role="tab" data-toggle="tab"> Teman </a>
            </li>
        </ul>

        <!-- Tab panes -->
        <div class="tab-content">
            <div role="tabpanel" class="tab-pane fade in active" id="profile">
                {% include 'content/public_profile.html' %}
            </div>
            <div role="tabpanel" class="tab-pane fade" id="riwayat">
                {% include 'content/riwayat.html' %}
            </div>
            <div role="tabpanel" class="tab-pane fade" id="status">
                {% include 'content/public_status.html' %}
            </div>
            <div role="tabpanel" class="tab-pane fade" id="teman">
                {% include 'content/search_mahasiswa.html' %}
            </div>
        </div>
    </div>
  </div>
</div>
{% endblock %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="description" content="Tugas 2">

    <!-- bootstrap csss -->
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.16/css/jquery.dataTables.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
    <script src="//cdn.datatables.net/1.10.16/js/jquery.dataTables.min.js"></script>

    {% block staticfiles %}
        <!-- Your Static Files Here -->
    {% endblock %}
    <title>
        {% block title %}  {% endblock %}
    </title>
</head>
<body>
<header>
    {% block header %} {% endblock %}
</header>
<content>
        {% block content %}
        <!-- Your Content Here -->
        {% endblock %}
</content>
<footer>
    {% block footer %}
        <!-- Your Footer Here -->
    {% endblock %}
</footer>
<script type="application/javascript" src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
{% block javascript %}
    <!-- Your Script Here -->
{% endblock %}
</body>
</html>